<?PHP
/*
 * DIREITOS AUTORAIS RESERVADOS (C) 2007 UFRJ
 * 
 * ESTE PROGRAMA É SOFTWARE LIVRE; VOCÊ PODE REDISTRIBUÍ-LO E/OU MODIFICÁ-LO SOB OS
 * TERMOS DA LICENÇA PÚBLICA GERAL GNU CONFORME PUBLICADA PELA FREE SOFTWARE FOUNDATION;
 * TANTO A VERSÃO 2 DA LICENÇA, COMO (A SEU CRITÉRIO) QUALQUER VERSÃO POSTERIOR.

 * ESTE PROGRAMA É DISTRIBUÍDO NA EXPECTATIVA DE QUE SEJA ÚTIL, PORÉM, SEM NENHUMA GARANTIA;
 * NEM MESMO A GARANTIA IMPLÍCITA DE COMERCIABILIDADE OU ADEQUAÇÃO A UMA FINALIDADE ESPECÍFICA.
 * CONSULTE A LICENÇA PÚBLICA GERAL DO GNU PARA MAIS DETALHES.
 * 
 * VOCÊ DEVE TER RECEBIDO UMA CÓPIA DA LICENÇA PÚBLICA GERAL DO GNU JUNTO COM ESTE PROGRAMA; 
 * SE NÃO, ACESSE <<HTTP://WWW.GNU.ORG/LICENSES/LICENSES.PT-BR.HTML>>
 */

<?

class Comparecimento extends Doctrine_Record
{
	function setTableDefinition()
	{
		$this->setTableName('saude.comparecimento');
		$this->hasColumn('idunidade','integer', NULL, array('notnull'));
		$this->hasColumn('idpessoa','integer', NULL, array('notnull'));
		$this->hasColumn('data','timestamp', NULL, array('notnull'));
	}

    function setUp()
    {
		$this->hasOne('Unidade as unidade',
			array('local'=>'idunidade',
			      'foreign'=>'id'));

		$this->hasOne('Pessoa as pessoa',
			array('local'=>'idpessoa',
			      'foreign'=>'id'));

		$this->hasMany('InscricaoPrograma as inscricao_programas',
			array('local'=>'idcomparecimento',
				  'foreign'=>'idinscricao_programa',
				  'refClass'=>'ComparecimentoPrograma'));

		$this->hasMany('MotivoComparecimento as motivos',
			array('local'=>'id',
			      'foreign'=>'idcomparecimento'));
	}
};

?>
